cancel
Showing results for 
Search instead for 
Did you mean: 

CAPSENSE™ & MagSense

Tim_Shih
New Contributor II

Dear Receiver, 

I use different demo kit and import following project to "design creator 4.4". 

1. KIT: CY8CKIT-042, import project : CapSense_CSD_P4_Design,

I found the name of capsense block is called "CapSense CSD v2.6" (Attached file 2)

2. KIT: CY8CKIT-041, import project : CapSense_CSD_P4_One_Button,

In this project I can' find capsense block "CapSense CSD v2.6" (Attached file 1)

But I get a new capsense block  which is called "CapSense v7.0"

I found the setting inside the "CapSense CSD v2.6" and "CapSense v7.0" are very different.

I feel a little confuse why different kit has different CapSense block ?!

Does different types of PSoC has different version of CapSense block ?!  

How can I know which version of PSoC and its corresponding CapSense block ?!

Thank you so much. 

 

0 Likes
1 Solution
ncbs
Moderator
Moderator

Hi @Tim_Shih,

https://www.cypress.com/documentation/code-examples/ce210291-psoc-4-capsense-one-button
This CE uses CapSense [v4.0] and this is the new CapSense component.

https://www.cypress.com/documentation/code-examples/ce95285-capsense-csd-psoc-4
This CE uses CapSenseCSD v2.6. This is the older version of the CapSense component.

Note that for the CEs, the latest version of the CapSense component available at the time of development would have been used. The latest version of the CapSense component can be used on any kit.

It is not advisable to use the older version of the CapSense component (CapSense CSD). Always use the new CapSense component and preferably the latest version - CapSense v7.0

To update the components in a project, go to Project -> Update Components. The latest versions of all the components will be automatically selected. Click Next and review the same in the next window. Click Finish to complete the process.

Best regards,
Nikhil

View solution in original post

1 Reply
ncbs
Moderator
Moderator

Hi @Tim_Shih,

https://www.cypress.com/documentation/code-examples/ce210291-psoc-4-capsense-one-button
This CE uses CapSense [v4.0] and this is the new CapSense component.

https://www.cypress.com/documentation/code-examples/ce95285-capsense-csd-psoc-4
This CE uses CapSenseCSD v2.6. This is the older version of the CapSense component.

Note that for the CEs, the latest version of the CapSense component available at the time of development would have been used. The latest version of the CapSense component can be used on any kit.

It is not advisable to use the older version of the CapSense component (CapSense CSD). Always use the new CapSense component and preferably the latest version - CapSense v7.0

To update the components in a project, go to Project -> Update Components. The latest versions of all the components will be automatically selected. Click Next and review the same in the next window. Click Finish to complete the process.

Best regards,
Nikhil

View solution in original post